@php
    use App\Libraries\ejLib;
    $var = ejLib::getInstance();
    $soapclient = $var->getWs();
    $wsClave = $var->get_wsClave();

    $usuario = $_SESSION['operador'];
    $Centro_Sal = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);
    $Centro_Sal = trim($Centro_Sal);
    $IDDOC  = trim($var->desencriptar_AES($usuario['id_doc'], $usuario['x']));

    $Admision_listaServicios = $soapclient->Admision_listaServicios($IDDOC, $Centro_Sal, $wsClave);
    $fe_Admision_listaServicios = new SimpleXMLElement(utf8_encode($Admision_listaServicios));

@endphp
@extends('Layouts.app')

@section('title', 'Admisión Hospitalaria')
@section('breadcrumb')
    <li class="active">Admisión</li>
@endsection
@section('content')
    <input id="centro_sal" name="centro_sal" type="hidden" value="{{$Centro_Sal}}">
    <div class="row" id="">
        <div class="col-sm-3 col-md-2">
            <div class="row">
                <div class="col-sm-12">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                            <h3 class="box-title">Servicios</h3>

                            <div class="box-tools pull-right">
                                <button id="especialidades-minimizar" type="button" class="btn btn-box-tool"
                                        data-widget="collapse"><i
                                            class="fa fa-minus"></i>
                                </button>

                            </div>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body no-padding">
                            <ul class="nav nav-pills nav-stacked servicios-list">
                                @foreach ($fe_Admision_listaServicios->respuesta as $fe_als)
                                    @if ($fe_als->baja_log==0)
                                        <li>
                                            <a class="id_servicios" id="{!! $fe_als->idservicio !!}" href="#">
                                                <div>{!! utf8_decode($fe_als->nombre) !!}</div>
                                            </a>
                                        </li>
                                    @endif
                                @endforeach
                            </ul>
                            <!-- /.row -->
                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12" id="lcc"></div>
            </div>
        </div>

        <div class="col-sm-9 col-md-10 no-left-padding" id="sc">
            <div class="row">
                <div id="wc" class="col-sm-12 hidden">
                    <div class="box box-primary" id="mcc">
                        <div class="box-header with-border">
                            <h3 class="box-title">Camas</h3>
                            <div class="box-tools pull-right">
                                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i
                                            class="fa fa-minus"></i>
                                </button>
                            </div>
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body" id="camas">

                        </div>
                    </div>
                </div>
            </div>
        </div>


    </div>
@endsection

@section('styles')
    <style media="screen">

        .table-paciente > tbody > tr > td {
            font-size: 12px;
        }

        .curp-click {
            font-size: 9pt;
            text-align: center;
            color: rgba(0, 0, 0, 0.9);
            border-radius: 0px 0px 5px 0px;
            word-wrap: break-word;
            position: absolute;
            width: 80px;
            bottom: 0px;
            cursor: copy;
            box-sizing: border-box;
            transform: scale(1.05);
            -webkit-box-shadow: 0px 0px 1px 0px rgba(0, 0, 0, 0.75);
            -moz-box-shadow: 0px 0px 1px 0px rgba(0, 0, 0, 0.75);
            box-shadow: 0px 0px 1px 0px rgba(0, 0, 0, 0.75);
            position: absolute;
            bottom: 90;

            background-image: -webkit-linear-gradient(top, #eeeeee, #cccccc);
            background-image: -moz-linear-gradient(top, #eeeeee, #cccccc);
            background-image: -ms-linear-gradient(top, #eeeeee, #cccccc);
            background-image: -o-linear-gradient(top, #eeeeee, #cccccc);
        }

        #menu_foto22 {
            width: 110px;
            min-height: 260px;
            box-sizing: border-box;
            float: left;
            background-color: #ffffff;
            text-align: left;
            margin-right: 10px;
            font-size: 9pt;
        }

        #menu_foto22 nav ul {
            list-style: none;
            padding: 0;
            margin: 0;
        }

        #menu_foto22 nav ul li {
            text-align: center;
            border-right: solid 1px rgba(204, 204, 204, 0.5);
            border-left: solid 1px rgba(204, 204, 204, 0.5);
        }

        #menu_foto22 nav ul li a {
            padding: 8.5px 5px;
            display: block;
            color: #555555;
            text-decoration: none;
            font-weight: bold;
            font-size: 9pt;
            word-wrap: break-word;
        }

        #menu_foto22 nav ul li a:hover, .especialidadSeleccionada {
            color: black;
            background: rgba(0, 0, 0, 0.0225);
            border-top: 0.5px solid rgba(0, 0, 0, 0.06);
            border-bottom: 0.5px solid rgba(0, 0, 0, 0.06);
        }

        /*=====================================*/
        .menu_panel_principal {
            box-sizing: border-box;
            display: -webkit-box;
            display: -moz-box;
            display: -ms-flexbox;
            display: -webkit-flex;
            display: flex;
        }

        .menu_panel {
            background-color: #ffffff;
            float: left;
            box-sizing: border-box;
            resize: horizontal;
            overflow: scroll;
            min-width: 190px;
            max-width: 865px;
            min-height: 475px;
            max-height: 550px;
            margin-left: 3px;
            display: inline-block;

        }

        .menu_titulo {
            font-size: 9pt;
            text-align: center;
            font-weight: bold;
        }

        /*Se cambió esto*/
        .datos_paciente {
            display: inline-table;
            height: 160px;
            width: 120px;
            /*border-radius: 0px 0px 5px 0px;*/
            border: 0px;
            margin-left: 3px;
            margin-bottom: 10px;
            cursor: pointer;
            position: relative;
            -webkit-box-shadow: 0px 0px 1px 0px rgba(0, 0, 0, 0.5);
            -moz-box-shadow: 0px 0px 1px 0px rgba(0, 0, 0, 0.5);
            box-shadow: 0px 0px 1px 0px rgba(0, 0, 0, 0.5);

            background: rgba(245, 246, 236, 0.15);

        }

        .nombre_paciente {
            text-align: center;
            height: 25px;
            font-size: 10pt;
            padding-bottom: 3px;
            padding-top: 2px;
            border-bottom: 1px solid #d2d2d2;

        }

        .estado_paciente {
            font-size: 8.5pt;
            font-weight: bold;
            text-align: center;
            height: 30px;
            padding-top: 6px;
            color: rgba(0, 0, 0, 0.9);
            display: flex;
            justify-content: center;
            align-items: center;

        }

        .foto_paciente {
            margin-top: -18;
            height: 55px;
            width: 55px;
            margin: auto;
            display: flex;
            margin-bottom: 0px;
            border: 1px solid rgba(233, 235, 218, 1);
            padding: 3px;
            border-radius: 50% 50% 50% 50%;
            background: white;
        }

        .ingresar {
            height: 24px;
            width: 91.15%;
            border: 1px solid #00a654;
            background: rgba(0, 166, 84, 0.6);
            color: white;
            margin: 1px 0px 5px 5px;
            padding-bottom: 5px;
            display: inline-flex;
            justify-content: center;
            align-items: center;

        }

        .datos_paciente > .ingresar:hover {
            background: #00a654;
            transition: all ease-in 0.3s;

        }

        .alta > p {
            width: 100%;
        }

        .alta > p > a {
            height: 24px;
            width: 44%;
            border: 1px solid #dd4b39;
            background: rgba(221, 75, 57, 0.7);
            text-decoration: none;
            margin: 0px 0px 0px 0px;
            display: inline-flex;
            justify-content: center;
            align-items: center;
            color: white;
        }

        .datos_paciente > .alta > p > a:hover {
            background: #dd4b39;
            transition: all ease-in 0.3s;
        }

        .reservar {
            height: 24px;
            width: 91.15%;
            border: 1px solid #fc9c12;
            background: rgba(252, 156, 18, 0.6);
            color: white;
            margin: 1px 0px 5px 5px;
            padding-bottom: 5px;
            display: inline-flex;
            justify-content: center;
            align-items: center;
        }

        .datos_paciente > .reservar:hover {
            background: #fc9c12;
            transition: all ease-in 0.3s;
        }

        .ingresar_opcion {
            font-size: 8pt;
            text-align: center;
            height: 17px;
            padding-top: 3px;
            padding-bottom: 20px;
            border-bottom: 1px solid #d2d2d2;
            color: #1d1f21;
            margin-bottom: 5px;

        }

        .curp {
            font-size: 8pt;
            text-align: center;
            height: 27px;
            max-width: 125px;
            margin-bottom: 5px;
            color: #1d1f21;
            word-break: break-word;
        }

        .edad {
            font-size: 8pt;
            text-align: center;
            color: #1d1f21;
            padding: 2px;
            height: 10px;
            margin-bottom: 10px;
        }

        .verde {
            width: 100%;
            height: 3px;
            color: white;
            font-size: 8pt;
            text-align: center;
            border-top: 3px solid rgba(0, 166, 84, 0.6);
        }

        .amarillo {
            width: 100%;
            height: 3px;
            color: white;
            font-size: 8pt;
            text-align: center;
            border-top: 3px solid rgba(252, 156, 18, 0.6);
        }

        .rojo {
            width: 100%;
            height: 3px;
            color: white;
            font-size: 8pt;
            text-align: center;
            border-top: 3px solid rgba(221, 75, 57, 0.7);
        }

        /* ==================== MOSAICOS ======================= */

        .nombre_paciente_lista {
            float: right;
            font-size: 8.5pt;
            height: 28px;
            width: 75px;
            text-align: left;
            margin-left: 0;
            order: 2;
            font-weight: bold;
            padding-top: 9px;
        }

        .foto_paciente_lista {
            position: left;
            height: 34px;
            width: 34px;
            margin-right: 0px;
            margin-top: 2px;
            order: 1;
        }

        .estado_paciente_lista {
            font-size: 8.5pt;
            font-weight: bold;
            text-align: center;
            height: 26px;
            width: 60px;
            color: rgba(0, 0, 0, 0.9);
            order: 3;
            margin-top: 0px;
            padding: 6px 5px 0px 5px;
            border-radius: 0px 0px 10px 0px;
        }

        .ingresar_opcion_lista {
            display: none;
        }

        .ocultar_menu_contenedor {
            padding-top: 5px;
            height: 25px;
            margin-top: 20px;
            margin-bottom: 40px;
            border-top: 1px solid rgba(204, 204, 204, 0.5);
            border-bottom: 1px solid rgba(204, 204, 204, 0.5);
        }

        .ocultar_menu {
            cursor: pointer;
            margin-bottom: 20px;
            margin-left: 10px;
            display: inline-block;
        }

        .ocultar_menu:hover {
            font-weight: bold;
        }

        .menu_opciones {
            margin-left: 5px;
            display: inline-block;
            margin-bottom: 10px;
        }

        .menu_opciones:hover {
            transform: scale(1.06);
        }

        .datos_paciente:hover, .camaSeleccionada {
            transform: scale(1.0175);
            z-index: 10;
            -webkit-box-shadow: 0.5px 0.5px 5px 0px rgba(0, 0, 0, 0.5);
            -moz-box-shadow: 0.5px 0.5px 5px 0px rgba(0, 0, 0, 0.5);
            box-shadow: 0.5px 0.5px 5px 0px rgba(0, 0, 0, 0.5);
        }

        .border_ocultar {
            transform: scale(1.025);
            z-index: 10;
        }

        .row_priv {
            margin-right: 0px;
            margin-left: 0px;
            display: flex;
        }

        /* ==================== NUEVA TABLA ======================= */
        #contenedor_tabla_asignar_cama {
            overflow: auto;
            width: 100%;
            margin-top: 20px;
        }

        #contenedor_tabla_asignar_cama table {
            width: 100%;
            height: auto;
            font-size: 9.3pt;
        }

        #contenedor_tabla_asignar_cama th {
            background-color: rgba(204, 204, 204, 0.35);
            color: #5e5e5e;
        }

        #contenedor_tabla_asignar_cama th, td {
            text-align: left;
            border: 0;
            height: 9.3pt;
        }

        #contenedor_tabla_asignar_cama tr:nth-child(even) {
            background-color: rgba(244, 244, 244, 0.3);
        }

        #contenedor_tabla_asignar_cama tr:hover {
            background-color: rgba(240, 239, 239, 0.4);
        }
    </style>
@endsection

@section('scripts')
    <script type="text/javascript">
        var centro_sal = $('#centro_sal').val();

        /*
         *Selector de servicios para mover cama
         */
        $(document).on('change', '#selectServicio', function () {
            $servicio = $(this);
            $.post({
                url: 'Admision_ListaCamas',
                type: "POST",
                data: {
                    idservicio: $servicio.val(),
                    Centro_Sal: centro_sal
                },
                success: function (data) {
                    $('#selectCama').html('');
                    if (Array.isArray(data.respuesta))
                        $.each(data.respuesta, function (i, cama) {
                            $('#selectCama').append($('<option>', {
                                value: cama.nocama,
                                text: cama.descripcion_cama,
                                data: {
                                    idtiposervicio: cama.idtiposervicio
                                }
                            }));
                        });
                    else {
                        var cama = data.respuesta;
                        if (cama != undefined)
                            $('#selectCama').append($('<option>', {
                                value: cama.nocama,
                                text: cama.descripcion_cama,
                                data: {
                                    idtiposervicio: cama.idtiposervicio
                                }
                            }));
                    }
                },
                error: function (xhr, status) {
                    $.notify("Ha ocurrido un problema "+xhr, "error");
                }

            });
        });

        function cambiarCamaIngresada() {
            var IDADMISION = $('input[name="idadmision"]').val();
            var NoCama = $('#selectCama').val();
            var idEspecialidad = $('#selectServicio').val();
            var idTipoServicio = $('#selectCama').find(":selected").data('idtiposervicio');
            var MotivoPase = $('#motivoCambio').val();
            $.post({
                url: 'Admision_PaseACama',
                type: "POST",
                data: {
                    Centro_Sal: centro_sal,
                    IDADMISION: IDADMISION,
                    NoCama: NoCama,
                    idEspecialidad: idEspecialidad,
                    idTipoServicio: idTipoServicio,
                    MotivoPase: MotivoPase
                },

                success: function (data) {
                    if (data.error == "1")
                        $.notify(data.descripcionerror, "error");
                    else {
                        $.notify("Cambios guardados correctamente", "success");
                        $('#cerrar_tabla').click();
                        actualizarCamas();
                    }
                },

                error: function (xhr, status) {
                    $.notify("Ha ocurrido un problema", "error");
                }

            });
            if (MotivoPase == '')
                $.notify("Es necesario capturar todos los datos", "error");
            return false;
        }

        function altaCama() {
            var IDADMISION = $('input[name="idadmision"]').val();
            var MotivoEgre = $('#motivo').val();
            if (MotivoEgre != '')
                $.post({
                    url: 'Admision_AltaCama',
                    type: "POST",
                    data: {
                        Centro_Sal: centro_sal,
                        IDADMISION: IDADMISION,
                        MotivoEgre: MotivoEgre
                    },

                    success: function (data) {
                        if (data.error == "1")
                            $.notify(data.descripcionerror, "error");
                        else {
                            $.notify("Cama dada de alta correctamente", "success");
                            $('#cerrar_tabla').click();
                            actualizarCamas();
                        }
                    },

                    error: function (xhr, status) {
                        $.notify("Ha ocurrido un problema", "error");
                    }

                });
            if (MotivoEgre == '')
                $.notify("Es necesario capturar el motivo", "error");
            return false;
        }

        /*
         *Asinar Cama a paciente
         */
        function asignarCP() {
            var clave_pac = document.getElementById("clave_pac").value;
            var nocama = document.getElementById("nocama").value;
            var idespecialidad = document.getElementById("idespecialidad").value;
            var idtiposervicio = document.getElementById("idtiposervicio").value;
            var idsexo = document.getElementById("idsexo").value;
            var fechaingreso = document.getElementById("fecha_n").value;
            var diagnosticomedico = document.getElementById("diagnosticomedico").value;
            var reingreso = $('input[name="reingreso"]').prop('checked') ? 1 : 0;
            if (diagnosticomedico != '' || fechaingreso != '')
                $.post({
                    url: 'Admision_IngresarCama',
                    type: "POST",
                    data: {
                        Centro_Sal: centro_sal,
                        CLAVE_PAC: clave_pac,
                        NoCama: nocama,
                        idEspecialidad: idespecialidad,
                        idTipoServicio: idtiposervicio,
                        DiagnosticoMedico: diagnosticomedico,
                        idUsuario: '{!! $IDDOC !!}',
                        idSexo: idsexo,
                        reingreso: reingreso
                    },

                    success: function (data) {
                        if (data.error == "1")
                            $.notify(data.descripcionerror, "error");
                        else {
                            $.notify("Se ha asignado la cama correctamente", "success");
                            $('#cerrar_tabla').click();
                            actualizarCamas();
                            window.open('{{url('admision_pdf')}}/' + data.idadmision, '_blank').focus();

                        }                        
                    },

                    error: function (xhr, status) {
                        $.notify("Ha ocurrido un problema ", "error");
                        console.log({xhr,status});
                    }

                });
            if (diagnosticomedico == '' || fechaingreso == '')
                $.notify("Es necesario capturar todos los datos", "error");
            return false;
        }

        /*
         *Reservar Cama a paciente
         */
        function reservarCP() {
            var clave_pac = document.getElementById("clave_pac").value;
            var nocama = document.getElementById("nocama").value;
            var idespecialidad = document.getElementById("idespecialidad").value;
            var idtiposervicio = document.getElementById("idtiposervicio").value;
            var idsexo = document.getElementById("idsexo").value;
            var fechaingreso = document.getElementById("fecha_n").value;
            var diagnosticomedico = document.getElementById("diagnosticomedico").value;
            var reingreso = $('input[name="reingreso"]').prop('checked') ? 1 : 0;
            if (diagnosticomedico != '' || fechaingreso != '')
                $.post({
                    url: 'Admision_ReservarCama',
                    type: "POST",
                    data: {
                        Centro_Sal: centro_sal,
                        CLAVE_PAC: clave_pac,
                        NoCama: nocama,
                        idEspecialidad: idespecialidad,
                        idTipoServicio: idtiposervicio,
                        FechaIng: fechaingreso,
                        DiagnosticoMedico: diagnosticomedico,
                        idUsuario: '{!! $IDDOC !!}',
                        idSexo: idsexo,
                        reingreso: reingreso
                    },

                    success: function (data) {
                        //console.log(data);
                        if (data.error == "1")
                            $.notify(data.descripcionerror, "error");
                        else {
                            $.notify("Se ha reservado la cama correctamente", "success");
                            $('#cerrar_tabla').click();
                            actualizarCamas();
                        }
                    },

                    error: function (xhr, status) {
                        $.notify("Ha ocurrido un problema", "error");
                    }

                });
            if (diagnosticomedico == '' || fechaingreso == '')
                $.notify("Es necesario capturar todos los datos", "error");
            return false;
        }

        /*
         *Cancelar Reservacion
         */
        function cancelarR() {
            cerrarFormu();
            var IDADMISION = $('input[name="idadmision"]').val();
            $.post({
                url: 'Admision_CancelarReservacionCama',
                type: "POST",
                data: {
                    Centro_Sal: centro_sal,
                    IDADMISION: IDADMISION
                },

                success: function (data) {
                    console.log(data);
                    if (data.error == "1")
                        $.notify(data.descripcionerror, "error");
                    else {
                        $.notify("Se ha cancelado la reservacion correctamente", "success");
                        $('#cerrar_tabla').click();
                        actualizarCamas();
                    }
                },

                error: function (xhr, status) {
                    $.notify("Ha ocurrido un problema", "error");
                },

            });
        }

        /*
         *Asignar Reservacion
         */
        function asignarR() {
            cerrarFormu();
            var IDADMISION = $('input[name="idadmision"]').val();
            var DiagnosticoMedico = $('#diagnosticomedico').val();
            if (DiagnosticoMedico != '')
                $.post({
                    url: 'Admision_AsignarReservaCama',
                    type: "POST",
                    data: {
                        Centro_Sal: centro_sal,
                        IDADMISION: IDADMISION,
                        DiagnosticoMedico: DiagnosticoMedico
                    },

                    success: function (data) {
                        if (data.error == "1")
                            $.notify(data.descripcionerror, "error");
                        else {
                            $.notify("Se ha asignado la reservacion correctamente", "success");
                            $('#cerrar_tabla').click();
                            actualizarCamas();
                            window.open('{{url('admision_pdf')}}/' + data.idadmision, '_blank').focus();
                        }
                    },

                    error: function (xhr, status) {
                        $.notify("Ha ocurrido un problema", "error");
                    }

                });
            if (DiagnosticoMedico == '')
                $.notify("Es necesario capturar todos los datos", "error");
        }

        function camaR() {
            $('#panelBotones').addClass('hiddenElement');
            jqGetAjax("admision/admision_cama", "formContenedor", {});
        }

        function fechaR() {
            $('#panelBotones').addClass('hiddenElement');
            jqGetAjax("admision/admision_fecha", "formContenedor", {});
        }

        function guardarFecha() {
            var IDADMISION = $('input[name="idadmision"]').val();
            var FechaIng = $('#fecha_n').val();
            if (FechaIng != '')
                $.post({
                    url: 'Admision_ModificarFechaIngDeCama',
                    type: "POST",
                    data: {
                        Centro_Sal: centro_sal,
                        IDADMISION: IDADMISION,
                        FechaIng: FechaIng
                    },

                    success: function (data) {
                        if (data.error == "1")
                            $.notify(data.descripcionerror, "error");
                        else {
                            $.notify("Cambios guardados correctamente", "success");
                            $('#panelBotones').removeClass('hiddenElement');
                            $('#formContenedor').html('');
                        }
                    },

                    error: function (xhr, status) {
                        $.notify("Ha ocurrido un problema", "error");
                    }

                });
            if (FechaIng == '')
                $.notify("Es necesario capturar todos los datos", "error");
            return false;
        }

        function cambiarCama() {
            var IDADMISION = $('input[name="idadmision"]').val();
            var NoCama = $('#selectCama').val();
            var idTipoServicio = $('#selectCama').find(":selected").data('idtiposervicio');
            var idEspecialidad = $('#selectServicio').val();
            if (NoCama != '' && NoCama != null)
                $.post({
                    url: 'Admision_CambiarReservaCama',
                    type: "POST",
                    data: {
                        Centro_Sal: centro_sal,
                        IDADMISION: IDADMISION,
                        NoCama: NoCama,
                        idEspecialidad: idEspecialidad,
                        idTipoServicio: idTipoServicio
                    },

                    success: function (data) {
                        if (data.error == "1")
                            $.notify(data.descripcionerror, "error");
                        else {
                            $.notify("Cambios guardados correctamente", "success");
                            $('#panelBotones').removeClass('hiddenElement');
                            $('#formContenedor').html('');
                            actualizarCamas();
                            $('#cerrar_tabla').click();
                        }
                    },

                    error: function (xhr, status) {
                        $.notify("Ha ocurrido un problema", "error");
                    }

                });
            if (NoCama == '' || NoCama == null)
                $.notify("Es necesario capturar todos los datos", "error");
            return false;
        }

        function cerrarFormu() {
            $('#panelBotones').removeClass('hiddenElement');
            $('#formContenedor').html('');
            return false;
        }

        var jqGetAjax = function (php_url_post, objetoHTML, array_datos) {
            Pace.restart();
            var request = $.ajax({url: php_url_post, method: "POST", data: array_datos, dataType: "html"});
            request.done(function (msg) {
                $("#" + objetoHTML).html(msg);
            });
            request.fail(function (jqXHR, textStatus) {
                $("#" + objetoHTML).html("Request failed: " + textStatus);
            });
        };

        function getView(php_url_post, objetoHTML, array_datos) {
            Pace.restart();
            var request = $.ajax({url: php_url_post, method: "POST", data: array_datos, dataType: "html"});
            request.done(function (msg) {
                $("#" + objetoHTML).append(msg);
            });
            request.fail(function (jqXHR, textStatus) {
                $("#" + objetoHTML).append("Request failed: " + textStatus);
            });
        }

        var idEspecialidad = 0;
        var idNombreEsp = '';

        $(document).on("click", ".id_servicios", function () {
            //$('#especialidades-minimizar').click();
            //var $mcc = $('#mcc');
            //$('#lcc').append($mcc);
            //muestra contenedor de camas
            jqGetAjax("cerrar", "camas", {});
            $('#wc').removeClass('hidden');
            //elimina el contenedor de busqueda
            $('#wbp').remove();
            //elimina le contenedores
            $('#rw').remove();
            $('#primary_Hoja_Frontal').remove();
            idEspecialidad = $(this).attr('id');
            idNombreEsp = $(this).text();
            $('.servicios-list li').removeClass('active');
            $(this).closest('li').addClass('active');
            $("#camas").show();
            actualizarCamas();
        });

        function actualizarCamas() {
            jqGetAjax("asignarcama-opcirugia2", "camas", {
                idEspecialidad: idEspecialidad,
                idNombreEsp: idNombreEsp,
                Centro_Sal: '{!! $Centro_Sal !!}'
            });
        }

        function activarCama(elemento) {
            $('.camaSeleccionada').removeClass('camaSeleccionada');
            $(elemento).closest('.camaWidget').addClass('camaSeleccionada');
        }

        $(document).on("click", ".datos_paciente  .ingresar", function () {
            $('#wc').addClass('hidden');
            var idespecialidad = $('#idespecialidad').val();
            var especialidad = $('#especialidad').val();
            var idNombreEsp = $(this).find('.idNombreEsp').text();
            var nocama2 = $(this).closest('.datos_paciente').attr('data-nocama');
            var descripcioncama = $(this).closest('.datos_paciente').attr('data-descripcioncama');
            var tiposervicio = $(this).closest('.datos_paciente').attr('data-tiposervicio');
            var idtiposervicio = $(this).closest('.datos_paciente').attr('data-idtiposervicio');

            getView("asignarcama-busqueda2", "sc", {
                definirFuncion: 1,
                nocama: nocama2,
                descripcioncama: descripcioncama,
                tiposervicio: tiposervicio,
                idtiposervicio: idtiposervicio,
                idespecialidad: idespecialidad,
                especialidad: especialidad,
                Centro_Sal: '{!! $Centro_Sal !!}'
            });
            activarCama(this);
        });

        $(document).on("click", ".datos_paciente  .reservar", function () {
            $('#wc').addClass('hidden');
            var id = $(this).attr('data-idadmision');
            getView("modificar_cama", "sc", {
                IDADMISION: id,
                Centro_Sal: centro_sal
            });
            activarCama(this);
        });

        $(document).on("click", ".altaCama", function () {
            $('#wc').addClass('hidden');
            var id = $(this).attr('data-idadmision');
            getView("alta_cama", "sc", {
                IDADMISION: id,
                Centro_Sal: centro_sal
            });
            activarCama(this);
        });

        $(document).on("click", ".mostrarDetalle", function () {
            $('#wc').addClass('hidden');
            var id = $(this).attr('data-idadmision');
            getView("mostrarDetalleAdmision", "sc", {
                IDADMISION: id,
                Centro_Sal: centro_sal
            });
            activarCama(this);
        });

        $(document).on("click", ".paseA", function () {
            $('#wc').addClass('hidden');
            var id = $(this).attr('data-idadmision');
            getView("pasea_cama", "sc", {
                IDADMISION: id,
                Centro_Sal: centro_sal
            });
            activarCama(this);
        });

        $(document).on('click', '#cerrar_tabla', function () {
            $('#wp').remove();
            $('#wfi').remove();
            $('#rw').remove();
            $('#primary_Hoja_Frontal').remove();
            $('#wc').removeClass('hidden');
        });

        $(document).on("click", "#lista", function () {
            $('.mosaico_np').removeClass('nombre_paciente').addClass('nombre_paciente_lista');
            $('.mosaico_fp').removeClass('foto_paciente').addClass('foto_paciente_lista');
            $('.mosaico_ep').removeClass('estado_paciente').addClass('estado_paciente_lista');
            $('.mosaico_io').removeClass('ingresar_opcion').addClass('ingresar_opcion_lista');
            $('.curp-click').hide();
        });

        $(document).on("click", "#mosaico", function () {
            $('.mosaico_np').removeClass('nombre_paciente_lista').addClass('nombre_paciente');
            $('.mosaico_fp').removeClass('foto_paciente_lista').addClass('foto_paciente');
            $('.mosaico_ep').removeClass('estado_paciente_lista').addClass('estado_paciente');
            $('.mosaico_io').removeClass('ingresar_opcion_lista').addClass('ingresar_opcion');
        });

        $(document).on("mouseover", ".datos_paciente", function () {
            //$(this).find(".curp-click").show();
        });

        $(document).on("mouseleave", ".datos_paciente", function () {
            $(this).find(".curp-click").hide();
        });

    </script>
@endsection
